Bug 18270 - No need to fetch the MARC record when deleting an item
Summary: No need to fetch the MARC record when deleting an item
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-15 12:29 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18270: Do not fetch the MARC record when deleting an item (842 bytes, patch)
2017-03-15 12:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18270: Do not fetch the MARC record when deleting an item (977 bytes, patch)
2017-03-15 15:21 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18270: Do not fetch the MARC record when deleting an item (1.02 KB, patch)
2017-03-20 12:04 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-15 12:29:57 UTC
From C4::Items::DelItem

 683     # get the MARC record                                                                           
 684     my $record = GetMarcBiblio($biblionumber);                                                      
 685     ModZebra( $biblionumber, "specialUpdate", "biblioserver" );                                     
 686                                                                                                     
 687     #search item field code                                                                         
 688     logaction("CATALOGUING", "DELETE", $itemnumber, "item") if C4::Context->preference("CataloguingLog");
 689     return $deleted;                                                                                
 690 }   

The GetMarcBiblio call is not needed.
Comment 1 Jonathan Druart 2017-03-15 12:32:19 UTC
Created attachment 61100 [details] [review]
Bug 18270: Do not fetch the MARC record when deleting an item

$record is never used later, the call is superfluous.

Test plan:
Quick glance at the code should be enough
Comment 2 Marc Véron 2017-03-15 15:21:55 UTC
Created attachment 61103 [details] [review]
Bug 18270: Do not fetch the MARC record when deleting an item

$record is never used later, the call is superfluous.

Test plan:
Quick glance at the code should be enough

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Martin Renvoize 2017-03-20 12:04:56 UTC
Created attachment 61286 [details] [review]
Bug 18270: Do not fetch the MARC record when deleting an item

$record is never used later, the call is superfluous.

Test plan:
Quick glance at the code should be enough

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Kyle M Hall 2017-03-31 10:49:07 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-04-02 16:15:06 UTC
Code enhancement.

This won't get ported back to 16.11.x as it is an enhancement.